Kernel 3.x.x

o2cool
2012-07-13
2013-05-30
  • o2cool
    o2cool
    2012-07-13

    Is mediatomb going to be compatable with the 3 series kernels? i cannot get it to compile on Slackware -current

    Thanks :) Have been using Mediatomb for a few years and works great.

     
  • $ uname -a
    Linux … 3.2.0-29-generic #46-Ubuntu SMP Fri Jul 27 17:03:23 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

    And I did compile on this machine, try using the debian or ubuntu patches from here for example:
    http://archive.ubuntu.com/ubuntu/pool/universe/m/mediatomb/mediatomb_0.12.1-0ubuntu4.debian.tar.gz

    apply the following patches from the patches directory:
    gcc46
    libav
    ffmpeg

    Avoid the const char conversion script which is yet another proof of coding incompetence.

    I had already written some code changes before I found those patches, and there was little difference in the approach used, (I still prefer my changes of course but those should be just fine).

    Let me know how things go.

    Joe R. Nassimian